curl --request GET \
--url https://api.letpiper.com/v1/orgs/{org_id}/scenarios/{scenario_id} \
--header 'Authorization: Bearer <token>'{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turns": [
{
"user_message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenario_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_index": 123,
"criteria": [
{
"question": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turn_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"criteria_type": "llm_evaluated",
"few_shot_examples": [
{
"response": "<string>",
"verdict": "PASS",
"critique": "<string>"
}
],
"order_index": 0
}
],
"required": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
"<string>"
],
"customer_context": {}
}Get a scenario by ID.
curl --request GET \
--url https://api.letpiper.com/v1/orgs/{org_id}/scenarios/{scenario_id} \
--header 'Authorization: Bearer <token>'{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turns": [
{
"user_message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenario_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_index": 123,
"criteria": [
{
"question": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turn_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"criteria_type": "llm_evaluated",
"few_shot_examples": [
{
"response": "<string>",
"verdict": "PASS",
"critique": "<string>"
}
],
"order_index": 0
}
],
"required": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
"<string>"
],
"customer_context": {}
}Platform token (starts with pat_)
Successful Response
Schema for reading a scenario.
1 - 255Show child attributes
Profile data for template rendering (e.g., customer name, booking info)